// -*- coding: utf-8 -*- 
// Sol  - Nemesis System
// JackDole 2016.02.06 23:02:47

//------------------------------------------------------------------------------

// This script creates a binary star system with a new sun and a brown dwarf named Nemesis ..
// It belongs in 'catalogs\planets'

// Add in the 'universe.cfg' under
// "PlanetsCatalogs	// planets catalogs" 
// the line  "catalogs/planets/SolNemesisSys.sc"

//------------------------------------------------------------------------------

Star "Sol/The Sun"
{
    ParentBody      "Sol-Nemesis"
    Class           "G2 V"
    Luminosity      1
    MassSol         1
    RadiusSol       1
    Teff            5860

    Age             4.54

    InertiaMoment   0.0455791

    RotationPeriod  911.645
    Obliquity       100.284
    EqAscendNode    84.9845

    AlbedoBond      0.3
    AlbedoGeom      0.36
    Brightness      2
    Color          (1.000 0.876 0.835)

    Surface
    {
        Randomize      (0.647, -0.213, -0.353)
        colorDistMagn   0.498222
        colorDistFreq   11.7314
        detailScale     1.79015e+06
        colorConversion true
        tropicLatitude  0.5
        icecapLatitude  1
        mareFreq        47.0639
        mareDensity     0.0108637
        erosion         1
        montesFreq      537
        dunesMagn       0.5
        hillsMagn       0.03
        hillsFreq       4760.11
        craterOctaves   0
        BumpHeight      599.055
        BumpOffset      599.055
        SpecularPower   55
        Hapke           1
        SpotBright      4
        SpotWidth       0.05
        DayAmbient      1
    }

    NoClouds        true
    NoOcean         true
    NoLava          true

    Atmosphere
    {
        Model          "Sun"
        Height          6960
        Density         0
        Pressure        1
        Bright          10
        Opacity         0
        SkyLight        0
    }

    NoAurora        true
    NoRings         true
    NoAccretionDisk true

    Corona
    {
        Radius      3.91854e+06
        Period      0.0240859
        Brightness  0.5
        RayDensity  3.34731
        RayCurv     15.5941
    }

    NoCometTail     true

    Orbit
    {
        Epoch           2455563
        SemiMajorAxis   9296.438331
        //Period          27000000
        Eccentricity    0.8
        Inclination     0
        AscendingNode   0
        ArgOfPericenter 0
        MeanAnomaly     333
        RefPlane       "Ecliptic"
    }
}

Star "Nemesis"
{
    ParentBody  "Sol-Nemesis"
    Class       "L0.8 V"
    
    RadSol      0.06
    MassSol     0.07
    
    RotationPeriod  911.645
    
    Orbit
    {
        Epoch           2455563
        //SemiMajorAxis   79051.34636
        PericenterDist  15810
        //Period          27000000
        Eccentricity    0.8
        Inclination     0
        AscendingNode   0
        ArgOfPericenter 180
        MeanAnomaly     333
        RefPlane       "Ecliptic"
    }
}

//------------------------------------------------------------------------------
